summaryrefslogtreecommitdiff
path: root/vagrant_provision.sh
diff options
context:
space:
mode:
authorEvan Huus <eapache@gmail.com>2015-06-24 19:05:38 -0700
committerEvan Huus <eapache@gmail.com>2015-06-25 02:53:40 +0000
commit5aaaa550fda8db0b06e438492d195b256fd02014 (patch)
tree2f8d6a8d99cae148f5047a8775356fcb4e795069 /vagrant_provision.sh
parentd1a81df8c04501c25d99cffd901dd4a289b0a05e (diff)
downloadwireshark-5aaaa550fda8db0b06e438492d195b256fd02014.tar.gz
Add basic Vagrant configuration
For non-linux developers this should somewhat simplify development with e.g. valgrind and other useful tools. Change-Id: I973ab7412ad9a61f0892c25c079ea3424208abd1 Reviewed-on: https://code.wireshark.org/review/9117 Reviewed-by: Evan Huus <eapache@gmail.com>
Diffstat (limited to 'vagrant_provision.sh')
-rw-r--r--vagrant_provision.sh8
1 files changed, 8 insertions, 0 deletions
diff --git a/vagrant_provision.sh b/vagrant_provision.sh
new file mode 100644
index 0000000000..95941133e3
--- /dev/null
+++ b/vagrant_provision.sh
@@ -0,0 +1,8 @@
+#!/bin/bash
+set -e
+
+apt-get update
+apt-get build-dep -y wireshark
+apt-get install -y cmake valgrind qt5-default \
+ libqt5multimedia5 libqt5multimediawidgets5 qtmultimedia5-dev \
+ qttools5-dev qttools5-dev-tools